QGIS Application - Bug report #8708
Links in About broken
2013-09-27 09:19 AM - Paolo Cavallini

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: GUI

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17427
Description

Due to the restructuring of the website, most links in the About menu are now broken , including:

- those in QGIS sponsor dialog
- "Need support" menu item

Probably more.
This should be fixed ASAP, either by activating apache rewrite, or by fixing the links.

Trivial to fix, important for our reputation.

History

#1 - 2013-09-27 09:21 AM - Paolo Cavallini
- Priority changed from Normal to High

#2 - 2013-09-27 10:19 AM - Jiirgen Fischer
- Assignee set to Jirgen Fischer

#3 - 2013-09-27 10:42 AM - Jiirgen Fischer

- Status changed from Open to Feedback

Redirects in place - please check if there are still broken links.

#4 - 2013-09-27 10:51 PM - Paolo Cavallini

Need support redirects to the DE page:

http://www.qgis.org/de/site/forusers/commercial_support.html

The rest looks OK.

| would consider this ticket closed when the links are updated in the code however (TBD for next stable).

#5 - 2013-09-28 12:58 PM - Juirgen Fischer

Paolo Cavallini wrote:
http://www.qgis.org/de/site/forusers/commercial_support.html

Need support redirects to the DE page:
http.//www.qgis.org/de/site/forusers/commercial_support.html|

And where should it point?

The link in source points to http://www.qgis.org/en/commercial-support.html and it's German translation to

http://www.qgis.org/de/kommerzieller-support.html. On the new site the URLs are apparently not translated, so the new target should be ok.

| think it's just that the support page isn't translated yet to German (except for some general terms like "Bemerkung").

#6 - 2014-02-07 05:31 AM - Giovanni Manghi
- Priority changed from High to Normal

There is no crash or data corruption, so I'm lowering the priority.

#7 - 2014-02-07 05:35 AM - Paolo Cavallini

Agreed is not crucial, but given that it takes so little to fix, and is so bad for our "marketing”, why not fixing it straight away?

Thanks a lot.

#8 - 2014-02-07 06:37 AM - Richard Duivenvoorde

About menu/sponsorship:

we already do a redirect so the link
http://qgis.org/en/sponsorship/donors.htmi

points to
http://qgis.org/en/site/about/sponsorship.html#list-of-donors

for QGIS 1.8 and 2.0 version (old version).

| think in the about dialog/sponsorship of QGIS 2.2 we should just point to:
http://qgis.org/en/site/about/sponsorship.html

The link about commercial support; was
http://www.qggis.org/en/commercial-support.html

Should be:
http://www.qgis.org/de/site/forusers/commercial_support.html

Agree?

#9 - 2014-02-08 02:27 AM - Jiirgen Fischer
- Status changed from Feedback to Closed

fixed in commit:af65a0a2
